#ifndef CreateDiagServiceByName_H
#define CreateDiagServiceByName_H

#include <Command.h>

#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class CreateDiagServiceByName : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		CreateDiagServiceByName(const ComChannel* comChannel, const std::string& name);
		CreateDiagServiceByName(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel*& comChannel, std::string& name);

		static int GetCommandType();
	};
}
#endif // CreateDiagServiceByName_H
